org.apache.fop.fonts

## Interface FontDetector

-     public interface FontDetector

  An interface for the font detecting mechanism.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detect(FontManager fontManager, FontAdder fontAdder, boolean strict, FontEventListener eventListener, java.util.List<EmbedFontInfo> fontInfoList)`

- - ### Method Detail

    - #### detect

          void detect(FontManager fontManager,
                      FontAdder fontAdder,
                      boolean strict,
                      FontEventListener eventListener,
                      java.util.List<EmbedFontInfo> fontInfoList)
               throws FOPException

      Throws:
        `FOPException`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.